1. Step3
modpanels
  • App
    • Compatibility
      GET
  • Auth
    • Registration
      • RegistrationStart
      • RegistrationComplete
    • PasswordReset
      • PasswordResetStart
      • PasswordResetComplete
    • OTP
      • OTPResend
      • OTPVerify
    • Login
      POST
    • AuthMe
      GET
    • Refresh
      POST
    • Logout
      POST
  • Me
    • ProfileRead
      GET
    • ProfileUpdate
      PATCH
    • ProfileDelete
      DELETE
    • PasswordChange
      PATCH
    • EmailChangeStart
      POST
    • PhoneChangeStart
      POST
  • Projects
    • Collection
      • ProjectCreate
      • ProjectList
      • ProjectCounts
      • ProjectQuickSearch
      • TagList
      • ProjectImport
    • Archived
      • ProjectsArchivedRestore
      • ProjectsArchivedDelete
    • Project
      • ProjectRead
      • ProjectUpdate
      • ProjectDelete
    • ProjectActions
      • ProjectFavoriteAdd
      • ProjectFavoriteDelete
      • ProjectArchive
      • ProjectRestore
      • ProjectDuplicate
      • ProjectExport
    • Configuration
      • Project
        • ProjectConfigSnapshot
      • Panel
        • PanelList
        • PanelCreate
        • PanelUpdate
        • PanelDelete
        • PanelDuplicate
        • PanelConfigSnapshot
      • Step2
        • PanelInit
        • ObjectParamsRead
        • ObjectParamsUpdate
        • EquipmentClassCatalog
      • Step3
        • LoadsRead
          GET
        • LoadsUpdate
          PUT
        • LoadCatalog
          GET
        • RoomCatalog
          GET
      • Step4
        • SingleLineRead
        • SingleLineUpdate
        • SingleLineGenerate
        • SingleLineValidate
        • DeviceImportTemplate
        • DeviceImport
  • Public
    • PublicProject
    • PublicProjectExport
  • Legal
    • PrivacyPolicy
    • TermsOfService
  • Devices
  • CityList
    GET
  • Liveness
    GET
  • Schemas
    • Auth
      • Context
        • PublicOtpVerifyRequest
        • PublicOtpResendRequest
        • AuthorizedOtpVerifyRequest
        • AuthorizedOtpResendRequest
        • ContextVerifyRequest
        • ContextTokenResponse
        • ContextTokenRequest
      • Registration
        • RegisterCompleteRequest
      • Password
        • PasswordResetConfirmRequest
        • PasswordChangeRequest
      • EmailOrPhone
      • LoginRequest
      • RefreshRequest
      • AuthTokensResponse
      • AuthMe
      • LogoutRequest
    • Profile
      • ProfileRead
      • ProfileUpdate
      • EmailChangeRequest
      • PhoneChangeRequest
    • Cities
      • CityItem
      • CityCatalog
    • Projects
      • ProjectCreateRequest
      • ProjectResponse
      • ProjectUpdateRequest
      • ProjectListItem
      • ProjectListResponse
      • ProjectCounts
      • TagList
      • ProjectQuickSearchResponse
    • Configuration
      • Project
        • ConfigLimits
        • ConfigLimitUsage
        • ConfigState
        • ConfigProjectInfo
        • ProjectConfigSnapshot
      • Panel
        • PanelsList
        • PanelListItem
        • PanelCreate
        • PanelUpdate
        • PanelConfigSnapshot
        • Reactivity
        • StepState
      • Step2
        • PanelSizeConstraints
        • ObjectParams
        • ObjectParamsResponse
        • ObjectParamsUpdate
        • ObjectParamsUpdateResponse
        • EquipmentClassItem
        • EquipmentClassCatalog
      • Step3
        • Room
        • LoadItemCustom
        • LoadItemPreset
        • Loads
        • LoadsResponse
        • RoomUpdate
        • LoadItemCustomUpdate
        • LoadItemPresetUpdate
        • LoadsUpdate
        • LoadsUpdateResponse
        • LoadCatalogItem
        • LoadCatalog
        • RoomCatalogItem
        • RoomCatalog
      • Step4
        • Consumer
        • Wires
        • Device
        • DeviceBlackbox
        • Row
        • SingleLine
        • SingleLineResponse
        • SingleLineUpdate
        • SingleLineUpdateResponse
        • SingleLineGenerateResponse
    • Shared
      • ValidationError
      • StatusOk
      • IdName
    • ApiError
    • CompatibilityResponse
  1. Step3

LoadsUpdate

Developing
PUT
/projects/{projectId}/panels/{panelId}/loads

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Responses

🟢200Success
application/json
Bodyapplication/json

🟠422UnprocessableContent
🟠401Unauthorized
🟠403Forbidden
🟠426ClientUnsupported
🟠409
🟠409
🟠409
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/projects//panels//loads' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "revision": 0,
    "data": {
        "rooms": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "type": "hallway",
                "loads": [
                    {
                        "type": "custom",
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "name": "string",
                        "powerW": 0,
                        "phases": "single_phase"
                    }
                ]
            }
        ]
    }
}'
Response Response Example
200 - Example 1
{
    "revision": 0,
    "data": {
        "rooms": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "type": "hallway",
                "iconUrl": "string",
                "loads": {
                    "type": "custom",
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "name": "string",
                    "powerW": 0,
                    "currentA": 0,
                    "phases": "single_phase"
                }
            }
        ]
    },
    "reactivity": {
        "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
        "trigger": {
            "step": "object_params",
            "action": "string"
        },
        "revision": {
            "from": 0,
            "to": 0
        },
        "stepEffects": {
            "property1": {},
            "property2": {}
        },
        "mutations": [
            {
                "path": "string",
                "kind": "string",
                "reason": "string"
            }
        ]
    }
}
Modified at 2026-04-02 08:41:10
Previous
LoadsRead
Next
LoadCatalog
Built with